@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", serif;;
}

html, body {
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-size: cover;
  background-repeat: no-repeat;
  background: linear-gradient(-45deg,#2c6cbc,#71c3f7);
  background-size: 300% 300%;
  animation: gradient-animation 10s ease infinite;  
  /* background-image: url(background.png); */
}

h1 {
  text-align: center;
  font-weight: 600;
}
#todo-input, #todo-date { 
  font-size: 15px;
  padding: 10px 5px;
}

.todo-container {
  max-height: 60vh !important;
  overflow-y: auto;
}

@keyframes gradient-animation {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

#flexCheckDefault:hover {
  cursor: pointer;
}

#updateModal {
  display: none;
}

.blurred {
  filter: blur(8px); /* Adjust the blur intensity here */
  pointer-events: none; /* Prevent interaction with the blurred content */
}